---
title: Storage use
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Stream](https://developers.cloudflare.com/api/python/resources/stream)

[Videos](https://developers.cloudflare.com/api/python/resources/stream/subresources/videos)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Storage use

stream.videos.storage\_usage(VideoStorageUsageParams\*\*kwargs) -> [VideoStorageUsageResponse](<https://developers.cloudflare.com/api/python/resources/stream#(resource)%20stream.videos%20%3E%20(model)%20video_storage_usage_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/stream/storage-usage

Returns information about an account’s storage use.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write``Stream Read`

##### ParametersExpand Collapse

account\_id: str

The account identifier tag.

maxLength32

[Link to this property](<#(resource)%20stream.videos%20%3E%20(method)%20storage_usage%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

creator: Optional\[str]

A user-defined identifier for the media creator.

maxLength64

[Link to this property](<#(resource)%20stream.videos%20%3E%20(method)%20storage_usage%20%3E%20(params)%20default%20%3E%20(param)%20creator%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class VideoStorageUsageResponse: …

</summary>

creator: Optional\[str]

A user-defined identifier for the media creator.

maxLength64

<a href="#(resource)%20stream.videos%20%3E%20(model)%20video_storage_usage_response%20%3E%20(schema)%20%3E%20(property)%20creator">Link to this property</a>

total\_storage\_minutes: Optional\[float]

The total minutes of video content stored in the account. May contain decimal values.

formatfloat

<a href="#(resource)%20stream.videos%20%3E%20(model)%20video_storage_usage_response%20%3E%20(schema)%20%3E%20(property)%20totalStorageMinutes">Link to this property</a>

total\_storage\_minutes\_limit: Optional\[int]

The storage capacity alloted for the account.

<a href="#(resource)%20stream.videos%20%3E%20(model)%20video_storage_usage_response%20%3E%20(schema)%20%3E%20(property)%20totalStorageMinutesLimit">Link to this property</a>

video\_count: Optional\[int]

The total count of videos associated with the account.

<a href="#(resource)%20stream.videos%20%3E%20(model)%20video_storage_usage_response%20%3E%20(schema)%20%3E%20(property)%20videoCount">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.videos%20%3E%20(model)%20video_storage_usage_response%20%3E%20(schema)>)

### Storage use

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.stream.videos.storage_usage(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.video_count)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "creator": "creator-id_abcde12345",
    "totalStorageMinutes": 0,
    "totalStorageMinutesLimit": 0,
    "videoCount": 0
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "creator": "creator-id_abcde12345",
    "totalStorageMinutes": 0,
    "totalStorageMinutesLimit": 0,
    "videoCount": 0
  }
}
```